Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 27 Jul 2017, 14:56
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Woof CE Debian Stretch and Devuan Ascii Based Development
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 37 of 40 [592 Posts]   Goto page: Previous 1, 2, 3, ..., 35, 36, 37, 38, 39, 40 Next
Author Message
davids45


Joined: 26 Nov 2006
Posts: 951
Location: Chatswood, NSW

PostPosted: Mon 24 Apr 2017, 01:55    Post subject: Incomplete listing of loadable sfs in /mnt/home
Subject description: Bootmanager & Load-on-the-fly?
 

G'day,

I think this may be a woof ce issue so I'm posting this query here.

I'm setting up my 64-bit Frugals partition. I've about half a dozen recent 64-bit Pups and about the same number of relatively old ones. I had previously pretty much ignored 64-bit over 32-bit but am now giving them a try.

I'm putting as many package sfs onto the partition's root directory (= each Pup's /mnt/home directory) as I can to economise adding my usual packages when adding a new 64-bit Pup.

But I cannot get all these sfs listed when trying to load an sfs into a particular 64-bit Pup with the Bootmanager or SFS-load-on-the-fly. I hope the two screenshots explain my dilemma.

I suspect the (unlisted) missing sfs are those toward the end of the alphabetic list.

I'm not advanced enough with making and checking my 64-bit sfs to combine them into a massive sfs like I do for the 32-bit Pups.

Is there a fix for Bootmanager or Load-on-the-fly for me to list all the sfs in /mnt/home? Say, up to 20 sfs, perhaps with a scroll bar?

Thanks for any help.

David S.


.
sfs_available.jpg
 Description   the sfs files in /mnt/home for a 64-bit Pup (slacko64-6964) - I want all these while checking which work but will later combine many into one.
 Filesize   96.08 KB
 Viewed   1054 Time(s)

sfs_available.jpg

sfs_incompletelist.png
 Description   several sfs are not listed for loading
 Filesize   35.3 KB
 Viewed   1059 Time(s)

sfs_incompletelist.png

Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Wed 26 Apr 2017, 19:17    Post subject:  

Hello all.

There was a request here for a CLI ftp, so I compiled the whole GNU
inetutils package on DPupStretch-7. (This inetutils package includes
the GNU ftp.)

Please find attached. It's in two blocks. To re-assemble, please open
a console in the download directory and type
Code:
cat xa?-inet*.pet > inetutils-1.9.4_exec.pet
Then you install the inetutils-1.9.4_exec.pet archive as usual.

A tree of the contents is also attached.

Please test. Feedback is always appreciated.

In the hope that it helps someone. BFN.

~~~~~~~~~
Note -- I made available the GNU CLI ftp as a standalone pet on the thread
mentioned above.
contents.zip
Description 
zip

 Download 
Filename  contents.zip 
Filesize  611 Bytes 
Downloaded  22 Time(s) 
xab-inetutils-1.9.4_exec.pet
Description 
pet

 Download 
Filename  xab-inetutils-1.9.4_exec.pet 
Filesize  177.18 KB 
Downloaded  22 Time(s) 
xaa-inetutils-1.9.4_exec.pet
Description 
pet

 Download 
Filename  xaa-inetutils-1.9.4_exec.pet 
Filesize  177.18 KB 
Downloaded  26 Time(s) 

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
Billtoo


Joined: 07 Apr 2009
Posts: 3140
Location: Ontario Canada

PostPosted: Fri 28 Apr 2017, 18:16    Post subject: Woof CE Debian Stretch and Devuan Ascii Based Development  

I'm trying out another build:

# uname -ra
Linux puppypc6050 4.4.64-pae #1 SMP Fri Apr 28 15:32:07 EDT 2017 i686 GNU/Linux
#
# report-video
VIDEO REPORT: Dpup Stretch, version 7.0.0a1

Chip description:
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 430] (rev a1)

Requested by /etc/X11/xorg.conf:
Resolution (widthxheight, in pixels): 1920x1080
Depth (bits, or planes): 24
Modules requested to be loaded: dbe
Drivers requested to be loaded: nvidia

Probing Xorg startup log file (/var/log/Xorg.0.log):
Driver loaded (and currently in use): nvidia
Loaded modules: dbe dri2 fb glx kbd mouse ramdac wfb

Actual rendering on monitor:
Resolution: 1920x1080 pixels (707x392 millimeters)
Depth: 24 planes

...the above also recorded in /tmp/report-video
#

Using Qupzilla-1.8.9 instead of Firefox, it's working okay so far.
Screenshot.jpg
 Description   
 Filesize   98.9 KB
 Viewed   860 Time(s)

Screenshot.jpg

Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1555
Location: London, England

PostPosted: Sun 30 Apr 2017, 10:44    Post subject:  

Not urgent I suppose, since MPlayer and MPV are working well and I have SMPlayer if I want an elegant and sophisticated front end, but what is the status of VLC in Stretch?

Source code tarball latest release of VLC is 2.2.4 and ./configure complains that libavutil 55 or later is not supported. This is the version in ffmpeg 3.x so looks like the native ffmpeg in Stretch is too new for the current VLC release. Videolan website also indicates that Stretch is in testing and VLC may not work.

Downloading source code clone from git gives version 3.0.0-git which does compile against ffmpeg 3.x and libavutil 55 but the compiled VLC does not run properly. Video opens in a separate window, keyboard controls don't work and other errors.

Going back to VLC 2.2.4 it will compile if I roll back my ffmpeg to latest version 2.x which is 2.8.11 but then I have to retain the ffmpeg 2.x libraries for VLC along with the system ffmpeg 3.x libs. Not ideal, but for anyone who wants VLC it does appear to be working including hevc and the commonly-used codecs. The package becomes a little bulky but as .sfs or some other scenarios it doesn't matter much, plus since I am launching via a wrapper to give priority to the older ffmpeg I can add in the needed Qt libs as well to make it not need Qt as a dependency. Maybe others have some suggestions or patches or something. Meanwhile hopefully they are working on sorting out VLC 3.x

EDIT:- Uploading a package of my build in case anyone wants to take a look.
https://yadi.sk/d/nxx9TP2i3HcXB5?force_show=1
Private ffmpeg roll-back libs, Qt and other needed libs included so should be just install and go. I am working in my own personal remaster now and we don't have a standard distro config to work to yet. No NLS language translations, even with an .sfs it seems silly to add so much bulk that will not be needed. If you need one for your language you should just extract only the relevant one. 01micko has an NLS .pet here:-
http://distro.ibiblio.org/puppylinux/pet_packages-slacko14.2/vlc_NLS-2.2.4-i686_s700.pet

_________________
Oscar in England

Back to top
View user's profile Send private message 
futwerk

Joined: 07 May 2011
Posts: 335

PostPosted: Wed 03 May 2017, 21:58    Post subject:  

new backgrounds.
dstretch12.jpg
 Description   https://www.mediafire.com/folder/x4v77bi1p58ox/puppy2013
 Filesize   35.58 KB
 Viewed   695 Time(s)

dstretch12.jpg

dstretch8r.jpg
 Description   https://www.mediafire.com/folder/x4v77bi1p58ox/puppy2013
 Filesize   12.03 KB
 Viewed   695 Time(s)

dstretch8r.jpg

dstretch5,3b.jpg
 Description   https://www.mediafire.com/folder/x4v77bi1p58ox/puppy2013
 Filesize   10.98 KB
 Viewed   699 Time(s)

dstretch5,3b.jpg

dstretch5,3.jpg
 Description   https://www.mediafire.com/folder/x4v77bi1p58ox/puppy2013
 Filesize   12.55 KB
 Viewed   700 Time(s)

dstretch5,3.jpg

Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Thu 04 May 2017, 06:33    Post subject:  

Thanks, futwerk.

Your "dstretch5,3" background (just above) works for me!

BFN

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Thu 11 May 2017, 22:08    Post subject:  

Can we extend DpupStretch to DCanineStretch? Smile Would it count? Smile



BTW, if you can yawn and stretch on all fours at the same time,
please let us know? Laughing I'll ask pelo to make a video!!! Twisted Evil

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)

Last edited by musher0 on Thu 11 May 2017, 22:22; edited 2 times in total
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Thu 11 May 2017, 22:13    Post subject:  

This more like it?! Laughing


_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 11912
Location: Mer méditerrannée (1 kms°)

PostPosted: Tue 16 May 2017, 22:22    Post subject: Gnumeric and Peasy wifi 4.1 added at home..  

Gnumeric and Peasy wifi 4.1 added at home..goffice-lupu-528JP-1.sfs: 7196 K
Gnumeric is a clone of Excel, Our boss asked us during years to fulfill cells to check how our work was efficient. So Gnumeric has no secret for many of us. mtcell edit : what is this thing ?
PeasyyWifi because easier to launch than Frisbee
Kernel : fast, but can i surf the web outside with my laptop ? Useful when you are visiting some nice place in France, with you old friends (more than 65 years old)

Dpup Exprimo menu was so complete.. Crying or Very sad
I still have it Smile

Musher0 since his first ages plays more with the wrapping paper than with the Puppies . The menu card is not the menu. However i downloaded AEWM, to challenge myself. Dpup stretch has no plus compared to... Puppy 4.3.1. Will Médor and Argolance stretch with you Question Musketeers one for all, all for one was a famous trio (was)
Good news Smile DpupStrecth has a pet provided by rcrsn51 for going oudoor, with an antenna plugged in his collar (as Puppy 4.3.1)
rcrsn51 stores, where Wifi drivers available for kernel 4.1.38

_________________
Damned Puppy, stay plugged with Papa Evil or Very Mad !

Last edited by Pelo on Fri 26 May 2017, 12:46; edited 9 times in total
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 11912
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 17 May 2017, 01:40    Post subject: Guys, it's a Puppy running well
Subject description: Musher, there is no video tool included.
 

Musher, there is no video tool included. Check first my previous video if you like (SSR Simple Screen Recorder now, after Xvidcap and pAVrecord)
If devs included from woofce only apps they use... passengers will still run puppies from the golden ages. However, Palemoon is included. Ouf...
Smile Guys, it's a Puppy running well, first tries. Just wait from people to feed back what they would like in the menu. (like Pemasu did)
Dillo would satisfy only few of us.
PPM updating... I will try to install Griffith, as a test.

# griffith
2017-05-17T07:55:56: E: Griffith(griffith:73): Error: missing modules:
2017-05-17T07:55:56: E: Griffith(griffith:75): gtk
2017-05-17T07:55:56: E: Griffith(griffith:77): :: required version: 2.6
2017-05-17T07:55:56: E: Griffith(griffith:80):

2017-05-17T07:55:56: E: Griffith(griffith:75): gtk.glade
2017-05-17T07:55:56: E: Griffith(griffith:77): :: required version: 2.6
2017-05-17T07:55:56: E: Griffith(griffith:80):

2017-05-17T07:55:56: E: Griffith(griffith:75): PIL
2017-05-17T07:55:56: E: Griffith(griffith:80):

_________________
Damned Puppy, stay plugged with Papa Evil or Very Mad !
Back to top
View user's profile Send private message Yahoo Messenger 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Fri 02 Jun 2017, 13:51    Post subject:  

Hello all.

I have edited my previous post about qiv (or feh?) using the same backdrop
as ROX's PuppyPin, here. This is a trade secret, so keep it hush-hush, eh?. Wink

BFN.

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Fri 02 Jun 2017, 14:40    Post subject: Re: Gnumeric and Peasy wifi 4.1 added at home..  

(Numbers by me.)
Pelo wrote:
(...)
1) Musher0 since his first ages plays more with the wrapping paper than with the Puppies.

2) The menu card is not the menu.

3) However i downloaded AEWM, to challenge myself.

4) Dpup stretch has no plus compared to... Puppy 4.3.1. Will Médor and Argolance stretch with you Question

5) Musketeers one for all, all for one was a famous trio (was)
(...)[/url]

Hi pelo.

1) Since "my first ages"... Yeah, sure, I fell in a bathtub full of WM's
(Window Managers) when I was a baby! Twisted Evil Actually, I blame my
passion for simple WM's on the LiteShell shell from the XP era.

2) Sorry, the "menu card", as you put it, IS the menu. In modern
computing, to speak in images like you do, you click on the Hamburg-
steak entry in the menu and a Hamburg-steak appears on your screen. Or
frog's legs. Or French onion soup. No lovely waitress necessary as go-
between (which is indeed a shame!)

Menus are everywhere in modern computing. Not numbered choices in a
terminal, not a panel, not a card. Drop-down menus, by themselves and
in apps.

3) About aewm: I'm glad you finally sank your teeth into something
substantial. jwm is so "passé"... Developer Decklyn Foster's concept of a
WM was so on the dot and futuristic, it's still current today.

4) "DPupStretch has no plus." Well, PuppyLinux is ahead of even Debian
on the Stretch. As to it not offering a plus compared to Puppy 4.3.1, that's
your opinion only. Puppy 4.3.1 was indeed a landmark in its day, but
seven years have passed since its release. DPupStretch has glibc 2.24 for
contemporary apps, and lots of wifi connections that you crave for, which
the 4.3.1 Puppy didn't have. Also, try recent browsers on the Puppy 4.3.1:
oops.

5) You forget Captain D'Artagnan: the Three Musketeers were always a
quartet, never a trio!

BFN.

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
davids45


Joined: 26 Nov 2006
Posts: 951
Location: Chatswood, NSW

PostPosted: Fri 02 Jun 2017, 22:30    Post subject: Stretch and Printing  

G'day,

Has anyone been able to print (on paper) with any Stretch-Pup?

Billtoo reports many builds but may not have a printer to test these.

I have had to "retro-grade" ghostscript in every Stretch to be able to print with my Epson ink-jet (thanks to our respected 'usual suspect' for his fix).

David S.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10540
Location: Gatineau (Qc), Canada

PostPosted: Fri 02 Jun 2017, 23:09    Post subject:
Subject description: "file" utility, version 5.31
 

Hello all,

Please find attached the latest version of the "file" utility, released a week
ago (May 24 2017), compiled on and for DPupStretch-7.0.

The "file" utility attempts to classify the type of a file by its contents.
For more about it:
http://linux.softpedia.com/get/System/System-Administration/File-6313.shtml

This basic utility is used by a number of GNU utilities, also by Midnight
Commander (mc) and some other file managers. It's important to keep it
up to date; if not, newer file types may be missed or misinterpreted.

My ex-factory DPupStretch-7.0 indicates that it's using version 5.03 of
"file", while this most recent one is version 5.31. ChangelogS are here.

Enjoy! BFN.
file-5.31_exec.pet
Description  Basic utility that attempts to classify the type of a file by its contents.
pet

 Download 
Filename  file-5.31_exec.pet 
Filesize  220.18 KB 
Downloaded  17 Time(s) 

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2252
Location: holland

PostPosted: Sat 01 Jul 2017, 16:59    Post subject:  

Hi All,

Reporting a problem on Stretch and a question:
When using Gparted formatting a partition to ext4 filesystem and run e.g. grub4dosconfig or any other way to make it bootable (e.g. with extlinux) it is still not bootable.
Can anyone reproduce this ?
Discussed also here: http://murga-linux.com/puppy/viewtopic.php?p=932680#932680 (same problem on Ubuntu Yakkety)
A workaround is changing these lines in /etc/mke2fs.conf:
Code:
   ext4 = {
      features = has_journal,extent,huge_file,flex_bg,metadata_csum,64bit,dir_nlink,extra_isize
      inode_size = 256
   }
   ext4dev = {
      features = has_journal,extent,huge_file,flex_bg,metadata_csum,inline_data,64bit,dir_nlink,extra_isize
      inode_size = 256
      options = test_fs=1
   }

To this:
Code:
   ext4 = {
      features = has_journal,extent,huge_file,flex_bg,uninit_bg,dir_nlink,extra_isize
      auto_64-bit_support = 1
      inode_size = 256
   }
   ext4dev = {
      features = has_journal,extent,huge_file,flex_bg,uninit_bg,dir_nlink,extra_isize
      inode_size = 256
      options = test_fs=1
   }

Or just use mke2fs.conf from Jessie

So the workaround is OK, but I wonder if anyone has thoughts on this, because when doing a websearch I couldn't find a bugreport or something.

Fred

_________________
Dog Linux website

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 37 of 40 [592 Posts]   Goto page: Previous 1, 2, 3, ..., 35, 36, 37, 38, 39, 40 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1231s ][ Queries: 14 (0.0194s) ][ GZIP on ]